Search all emails
GET
/admin/emails/search
const url = 'https://gitea.com/api/v1/admin/emails/search';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/admin/emails/search \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”q
string
Keyword
page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”EmailList
Media typeapplication/json
Array<object>
Email an email address belonging to a user
object
email
string format: email
primary
Whether this is the primary email address
boolean
user_id
The unique identifier of the user who owns this email
integer format: int64
username
Username of the user
string
verified
Whether the email address has been verified
boolean
Examplegenerated
[ { "email": "hello@example.com", "primary": true, "user_id": 1, "username": "example", "verified": true }]APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string